public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-mail/vpopmail/
Date: Fri,  8 Jun 2018 05:11:54 +0000 (UTC)	[thread overview]
Message-ID: <1528434700.ce73e9fc91ec8bdf6e238987ee4f765f64bcd73d.robbat2@gentoo> (raw)

commit:     ce73e9fc91ec8bdf6e238987ee4f765f64bcd73d
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  6 21:16:26 2018 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Fri Jun  8 05:11:40 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce73e9fc

net-mail/vpopmail: fix linking

Bug: https://bugs.gentoo.org/526590
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
Package-Manager: Portage-2.3.33, Repoman-2.3.9

 net-mail/vpopmail/vpopmail-5.4.33-r1.ebuild        | 15 +++++++-------
 ...-5.4.33-r1.ebuild => vpopmail-5.4.33-r2.ebuild} | 23 ++++++++++++----------
 net-mail/vpopmail/vpopmail-5.4.33.ebuild           | 15 +++++++-------
 3 files changed, 29 insertions(+), 24 deletions(-)

diff --git a/net-mail/vpopmail/vpopmail-5.4.33-r1.ebuild b/net-mail/vpopmail/vpopmail-5.4.33-r1.ebuild
index ecc09b21af2..a41fd4be75c 100644
--- a/net-mail/vpopmail/vpopmail-5.4.33-r1.ebuild
+++ b/net-mail/vpopmail/vpopmail-5.4.33-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -82,14 +82,15 @@ src_configure() {
 
 	local authopts
 	if use mysql; then
-		mysqlinc=$(mysql_config --include)
-		authopts="--enable-incdir=${mysqlinc#-I}"
+		incdir=$(mysql_config --variable=pkgincludedir)
+		libdir=$(mysql_config --variable=pkglibdir)
 		authopts+=" --enable-auth-module=mysql"
-		authopts+="	--enable-libdir=/usr/$(get_libdir)/mysql"
-		authopts+="	--enable-sql-logging"
+		authopts+=" --enable-incdir=${incdir}"
+		authopts+=" --enable-libdir=${libdir}"
+		authopts+=" --enable-sql-logging"
 		authopts+=" --enable-valias"
-		authopts+="	--disable-mysql-replication"
-		authopts+="	--enable-mysql-limits"
+		authopts+=" --disable-mysql-replication"
+		authopts+=" --enable-mysql-limits"
 	elif use postgres; then
 		pglibdir=$(pg_config --libdir)
 		authopts+=" --enable-auth-module=pgsql"

diff --git a/net-mail/vpopmail/vpopmail-5.4.33-r1.ebuild b/net-mail/vpopmail/vpopmail-5.4.33-r2.ebuild
similarity index 92%
copy from net-mail/vpopmail/vpopmail-5.4.33-r1.ebuild
copy to net-mail/vpopmail/vpopmail-5.4.33-r2.ebuild
index ecc09b21af2..498c53bc733 100644
--- a/net-mail/vpopmail/vpopmail-5.4.33-r1.ebuild
+++ b/net-mail/vpopmail/vpopmail-5.4.33-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -17,7 +17,7 @@ REQUIRED_USE="mysql? ( !postgres )"
 
 DEPEND="virtual/qmail
 	maildrop? ( mail-filter/maildrop )
-	mysql? ( virtual/mysql )
+	mysql? ( || ( dev-db/mysql-connector-c dev-db/mariadb-connector-c[mysqlcompat] ) )
 	postgres? ( dev-db/postgresql[server] )
 	spamassassin? ( mail-filter/spamassassin )"
 RDEPEND="${DEPEND}"
@@ -82,18 +82,21 @@ src_configure() {
 
 	local authopts
 	if use mysql; then
-		mysqlinc=$(mysql_config --include)
-		authopts="--enable-incdir=${mysqlinc#-I}"
+		incdir=$(mysql_config --variable=pkgincludedir)
+		libdir=$(mysql_config --variable=pkglibdir)
 		authopts+=" --enable-auth-module=mysql"
-		authopts+="	--enable-libdir=/usr/$(get_libdir)/mysql"
-		authopts+="	--enable-sql-logging"
+		authopts+=" --enable-incdir=${incdir}"
+		authopts+=" --enable-libdir=${libdir}"
+		authopts+=" --enable-sql-logging"
 		authopts+=" --enable-valias"
-		authopts+="	--disable-mysql-replication"
-		authopts+="	--enable-mysql-limits"
+		authopts+=" --disable-mysql-replication"
+		authopts+=" --enable-mysql-limits"
 	elif use postgres; then
-		pglibdir=$(pg_config --libdir)
+		libdir=$(pg_config --libdir)
+		incdir=$(pg_config --pkgincludedir)
 		authopts+=" --enable-auth-module=pgsql"
-		authopts+=" --enable-libdir=${pglibdir}"
+		authopts+=" --enable-incdir=${incdir}"
+		authopts+=" --enable-libdir=${libdir}"
 		authopts+=" --enable-sql-logging"
 		authopts+=" --enable-valias"
 	else

diff --git a/net-mail/vpopmail/vpopmail-5.4.33.ebuild b/net-mail/vpopmail/vpopmail-5.4.33.ebuild
index 0084ce003a7..e98c76b20ef 100644
--- a/net-mail/vpopmail/vpopmail-5.4.33.ebuild
+++ b/net-mail/vpopmail/vpopmail-5.4.33.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=4
@@ -76,14 +76,15 @@ src_configure() {
 
 	local authopts
 	if use mysql; then
-		authopts="$(mysql_config --include)"
-		authopts="--enable-incdir=${authopts#-I}"
+		incdir=$(mysql_config --variable=pkgincludedir)
+		libdir=$(mysql_config --variable=pkglibdir)
 		authopts+=" --enable-auth-module=mysql"
-		authopts+="	--enable-libdir=/usr/$(get_libdir)/mysql"
-		authopts+="	--enable-sql-logging"
+		authopts+=" --enable-incdir=${incdir}"
+		authopts+=" --enable-libdir=${libdir}"
+		authopts+=" --enable-sql-logging"
 		authopts+=" --enable-valias"
-		authopts+="	--disable-mysql-replication"
-		authopts+="	--enable-mysql-limits"
+		authopts+=" --disable-mysql-replication"
+		authopts+=" --enable-mysql-limits"
 	else
 		authopts="--enable-auth-module=cdb"
 	fi


             reply	other threads:[~2018-06-08  5:12 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-06-08  5:11 Robin H. Johnson [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-12-24 23:07 [gentoo-commits] repo/gentoo:master commit in: net-mail/vpopmail/ Conrad Kostecki
2023-06-23 18:07 Matt Turner
2021-08-22 15:14 Sam James
2021-08-22  3:07 Sam James
2021-05-17 16:36 Sergei Trofimovich
2021-05-16  0:07 Sam James
2021-05-15 19:18 Sam James
2021-05-15  2:01 Sam James
2021-05-14 20:54 Sam James
2021-05-14 20:54 Sam James
2021-05-14 20:34 Sergei Trofimovich
2020-05-27  7:56 Sergei Trofimovich
2020-03-21 11:13 Mikle Kolyada
2020-03-03  8:05 Sergei Trofimovich
2020-03-03  8:05 Sergei Trofimovich
2020-03-03  8:05 Sergei Trofimovich
2020-03-02 11:34 Sergei Trofimovich
2020-03-02 11:22 Sergei Trofimovich
2020-03-02 11:04 Sergei Trofimovich
2020-02-25 21:29 Sergei Trofimovich
2020-02-25 21:29 Sergei Trofimovich
2020-02-24 12:49 Agostino Sarubbo
2020-02-24 10:07 Agostino Sarubbo
2020-02-24  8:20 Sergei Trofimovich
2020-02-23  8:54 Sergei Trofimovich
2020-02-22 14:19 Sergei Trofimovich
2019-11-17  9:30 Michał Górny
2019-10-23 13:46 Joonas Niilola
2019-10-04  4:38 Joonas Niilola
2019-09-28  6:46 Joonas Niilola
2019-09-19 16:21 Joonas Niilola
2019-02-18 21:30 Brian Evans
2016-04-16 21:12 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1528434700.ce73e9fc91ec8bdf6e238987ee4f765f64bcd73d.robbat2@gentoo \
    --to=robbat2@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox